package com.energy.manage.service.controller.company;


import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.config.annotations.UserLoginToken;
import com.energy.manage.service.domain.dto.company.WindCompanyDelDto;
import com.energy.manage.service.domain.dto.company.WindCompanyDto;
import com.energy.manage.service.domain.dto.company.WindCompanyStateDto;
import com.energy.manage.service.domain.dto.company.WindCompanyUpdateDto;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import com.energy.manage.service.service.company.WindCompanyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@CrossOrigin
@Api(value = "WindCompanyController", tags = "企业管理接口")
@RequestMapping(value = "/api/wind/company")
public class WindCompanyController {

    @Autowired
    WindCompanyService windCompanyService;


    @UserLoginToken
    @PostMapping(value = "/addCompany")
    @ApiOperation(value = "创建企业")
    public ResultResp addCompany(@RequestBody WindCompanyDto dto) {
        boolean flg = windCompanyService.addCompany(dto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/delCompany")
    @ApiOperation(value = "删除企业")
    public ResultResp delCompany(@RequestBody WindCompanyDelDto dto) {
        boolean flg = windCompanyService.delCompany(dto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }

    @UserLoginToken
    @PostMapping(value = "/updateStateCompany")
    @ApiOperation(value = "更新企业状态")
    public ResultResp updateStateCompany(@RequestBody WindCompanyStateDto dto) {
        boolean flg = windCompanyService.updateStateCompany(dto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/updateCompany")
    @ApiOperation(value = "更新企业")
    public ResultResp updateCompany(@RequestBody WindCompanyUpdateDto dto) {
        boolean flg = windCompanyService.updateCompany(dto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/getAllWindCompany")
    @ApiOperation(value = "查询企业树")
    public ResultResp<List<WindCompanyPageVo>> getAllWindCompany() {
        List<WindCompanyPageVo> list = windCompanyService.getAllWindCompany();
        return ResultResp.SUCCESS(list);
    }


}
