package com.energy.manage.service.controller.windenginegroup;


import com.energy.manage.common.base.Page;
import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.config.annotations.UserLoginToken;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupCodeDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupCreateDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupPageDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupStateDto;
import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupPageVo;
import com.energy.manage.service.service.windenginegroup.WindEngineGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@RestController
@CrossOrigin
@Api(value = "WindEngineGroupController", tags = "风机机组信息管理")
@RequestMapping(value = "/api/wind/engine/group")
public class WindEngineGroupController {

    @Autowired
    private WindEngineGroupService windEngineGroupService;



    @UserLoginToken
    @PostMapping(value = "/createWindEngineGroup")
    @ApiOperation(value = "创建风机机组")
    public ResultResp createWindEngineGroup(@RequestBody WindEngineGroupCreateDto windEngineGroupCreateDto) {
        boolean flg = windEngineGroupService.createWindEngineGroup(windEngineGroupCreateDto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/windEngineGroupImportData")
    @ApiOperation(value = "导入机型信息")
    public ResultResp windEngineGroupImportData(@RequestPart MultipartFile file,@RequestParam("fieldCode") String fieldCode) {
        boolean flg = windEngineGroupService.windEngineGroupImportData(file,fieldCode);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }



    @UserLoginToken
    @PostMapping(value = "/afreshWindEngineGroupImportData")
    @ApiOperation(value = "重新上传风机信息")
    public ResultResp afreshWindEngineGroupImportData(@RequestPart MultipartFile file,@RequestParam("fieldCode") String fieldCode) {
        boolean flg = windEngineGroupService.afreshWindEngineGroupImportData(file,fieldCode);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/windEngineGrouPage")
    @ApiOperation(value = "风机分页查询")
    public ResultResp< Page<WindEngineGroupPageVo>> windEngineGrouPage(WindEngineGroupPageDto windEngineGroupPageDto) {
        Page<WindEngineGroupPageVo> page = windEngineGroupService.windEngineGrouPage(windEngineGroupPageDto);
        return ResultResp.SUCCESS(page);
    }


    @UserLoginToken
    @PostMapping(value = "/delWindEngineGroup")
    @ApiOperation(value = "删除风场下风机")
    public ResultResp delFieldWindEngineGroup(@RequestBody WindEngineGroupCodeDto windEngineGroupCodeDto) {
        boolean flg = windEngineGroupService.delWindEngineGroup(windEngineGroupCodeDto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/updateStateWindEngineGroup")
    @ApiOperation(value = "更改状态")
    public ResultResp delFieldWindEngineGroup(@RequestBody WindEngineGroupStateDto windEngineGroupStateDto) {
        boolean flg = windEngineGroupService.updateStateWindEngineGroup(windEngineGroupStateDto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }


    @UserLoginToken
    @PostMapping(value = "/getWindEngineGroup")
    @ApiOperation(value = "更改状态")
    public ResultResp getWindEngineGroup(@RequestBody WindEngineGroupStateDto windEngineGroupStateDto) {
        boolean flg = windEngineGroupService.updateStateWindEngineGroup(windEngineGroupStateDto);
        return flg ? ResultResp.SUCCESS() : ResultResp.FAIL();
    }





}
