package com.energy.manage.service.domain.vo.windenginemill;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 导入参数
 */
@Getter
@Setter
@ApiModel
public class WindEngineMillPageVo {

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String millTypeCode;
    /**
     * 机型编号
     */
    @ApiModelProperty("机型编号")
    private String machineTypeCode;
    /**
     * 机型名称
     */
    @ApiModelProperty("机型名称")
    private String machineTypeName;
    /**
     * 厂商名称
     */
    @ApiModelProperty("厂商名称")
    private String manufacturerName;
    /**
     * 厂商编号
     */
    @ApiModelProperty("厂商编号")
    private String manufacturerCode;
    /**
     * 品牌
     */
    @ApiModelProperty("品牌")
    private String brand;
    /**
     * 机型类型
     */
    @ApiModelProperty("机型类型")
    private Integer type;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;
    /**
     * 塔筒高度
     */
    @ApiModelProperty("塔筒高度")
    private String towerHeight;
    /**
     * 叶片长度
     */
    @ApiModelProperty("叶片长度")
    private String vaneLong;

    /**
     * 组合字段
     */
    @ApiModelProperty("组合字段")
    private String combinationc;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Integer createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
    private Integer updateBy;
    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private Date updateTime;


}
