package com.energy.manage.service.service.company;


import com.energy.manage.common.base.BaseService;
import com.energy.manage.common.po.company.WindCompanyPO;
import com.energy.manage.common.po.system.SysPermissionPO;
import com.energy.manage.service.domain.dto.company.*;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import com.energy.manage.service.domain.vo.system.PermissionVo;

import java.util.List;

/**
 * 企业信息接口
 */
public interface WindCompanyService extends BaseService<WindCompanyPO> {

    /**
     * 创建企业
     *
     * @param dto
     * @return
     */
    boolean addCompany(WindCompanyDto dto);

    /**
     * 删除企业
     *
     * @param po
     * @return
     */
    boolean delCompany(WindCompanyDelDto po);

    /**
     * 删除企业
     *
     * @param dto
     * @return
     */
    boolean updateStateCompany(WindCompanyStateDto dto);



    /**
     * 更新企业
     *
     * @param po
     * @return
     */
    boolean updateCompany(WindCompanyUpdateDto po);

    /**
     * 查询企业树关系
     * @return
     */
    List<WindCompanyPageVo> getAllWindCompany();


    /**
     * 排序
     * @param dto
     * @return
     */
    boolean updateWindCompanyBySort(WindCompanyCustomDto dto);


}
