package com.energy.manage.service.service.windenginegroup;


import com.energy.manage.common.base.Page;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupCodeDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupCreateDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupPageDto;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupStateDto;
import com.energy.manage.service.domain.dto.windfield.WindFieldImportDataDto;
import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupPageVo;
import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 机型管理
 */
public interface WindEngineGroupService {


    /**
     * 创建风机机组
     *
     * @param windEngineGroupCreateDto
     * @return
     */
    boolean createWindEngineGroup(WindEngineGroupCreateDto windEngineGroupCreateDto);


    /**
     * 同步风机
     *
     * @param file,fieldCode
     * @return
     */
    boolean windEngineGroupImportData(MultipartFile file, String fieldCode);


    /**
     * 重新上传风机信息
     *
     * @param file
     * @param fieldCode
     * @return
     */
    boolean afreshWindEngineGroupImportData(MultipartFile file, String fieldCode);


    /**
     * 风机分页查询
     *
     * @param windEngineGroupPageDto
     * @return
     */
    Page<WindEngineGroupPageVo> windEngineGrouPage(WindEngineGroupPageDto windEngineGroupPageDto);


    /**
     * 删除风场下风机
     *
     * @param fieldCode
     * @return
     */
    boolean delFieldWindEngineGroup(String fieldCode);

    /**
     * 删除风机
     *
     * @param windEngineGroupCodeDto
     * @return
     */
    boolean delWindEngineGroup(WindEngineGroupCodeDto windEngineGroupCodeDto);


    /**
     * 更改状态
     *
     * @param windEngineGroupStateDto
     * @return
     */
    boolean updateStateWindEngineGroup(WindEngineGroupStateDto windEngineGroupStateDto);


    /**
     * 查询风机对象
     *
     * @param windEngineGroupCodeDto
     * @return
     */
    WindEngineGroupVo getWindEngineGroup(WindEngineGroupCodeDto windEngineGroupCodeDto);


}
