package com.energy.manage.service.service.windrelation;

import com.energy.manage.service.domain.dto.windrelation.WindRelationDelDto;
import com.energy.manage.service.domain.dto.windrelation.WindRelationDto;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import com.energy.manage.service.domain.vo.windrelation.WindRelationVo;

import java.util.List;

/**
 * 关系表
 */
public interface WindRelationService {

    /**
     * 创建关系表数据
     *
     * @param windRelationDto
     * @return
     */
    boolean createWindRelation(WindRelationDto windRelationDto);


    /**
     * 批量
     * @param windRelationListDto
     * @return
     */
    boolean createWindRelationList(List<WindRelationDto> windRelationListDto);

    /**
     * 删除关系数据
     *
     * @param windRelationDelDto
     * @return
     */
    boolean delWindRelation(WindRelationDelDto windRelationDelDto);


    /**
     * 编辑关系数据
     * @param windRelationDto
     * @return
     */
    boolean updateWindRelationName(WindRelationDto windRelationDto);

    /**
     * 查询企业树
     *
     * @return
     */
    List<WindCompanyPageVo> getWindRelationCompany();


    /**
     * 查询整体树列表
     *
     * @return
     */
    List<WindRelationVo> getWindRelationTree();

}
